org.apache.cassandra.db

## Class SerializationHeader

- java.lang.Object
- - org.apache.cassandra.db.SerializationHeader

    public class SerializationHeader
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `SerializationHeader.Component` We need the CFMetadata to properly deserialize a SerializationHeader but it's clunky to pass that to a SSTable component, so we use this temporary object to delay the actual need for the metadata.
`static class` `SerializationHeader.Serializer`

### Field Summary

Fields
`static SerializationHeader.Serializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`SerializationHeader(boolean isForSSTable, CFMetaData metadata, PartitionColumns columns, EncodingStats stats)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<AbstractType<?>>` `clusteringTypes()`
`PartitionColumns` `columns()`
`Columns` `columns(boolean isStatic)`
`long` `deletionTimeSerializedSize(DeletionTime dt)`
`AbstractType<?>` `getType(ColumnDefinition column)`
`boolean` `hasStatic()`
`boolean` `isForSSTable()`
`AbstractType<?>` `keyType()`
`long` `localDeletionTimeSerializedSize(int localDeletionTime)`
`static SerializationHeader` `make(CFMetaData metadata, java.util.Collection<SSTableReader> sstables)`
`static SerializationHeader` `makeWithoutStats(CFMetaData metadata)`
`DeletionTime` `readDeletionTime(DataInputPlus in)`
`int` `readLocalDeletionTime(DataInputPlus in)`
`long` `readTimestamp(DataInputPlus in)`
`int` `readTTL(DataInputPlus in)`
`void` `skipDeletionTime(DataInputPlus in)`
`void` `skipLocalDeletionTime(DataInputPlus in)`
`void` `skipTimestamp(DataInputPlus in)`
`void` `skipTTL(DataInputPlus in)`
`EncodingStats` `stats()`
`long` `timestampSerializedSize(long timestamp)`
`SerializationHeader.Component` `toComponent()`
`java.lang.String` `toString()`
`long` `ttlSerializedSize(int ttl)`
`void` `writeDeletionTime(DeletionTime dt, DataOutputPlus out)`
`void` `writeLocalDeletionTime(int localDeletionTime, DataOutputPlus out)`
`void` `writeTimestamp(long timestamp, DataOutputPlus out)`
`void` `writeTTL(int ttl, DataOutputPlus out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final SerializationHeader.Serializer serializer

### Constructor Detail

#### SerializationHeader

    public SerializationHeader(boolean isForSSTable,
                               CFMetaData metadata,
                               PartitionColumns columns,
                               EncodingStats stats)

### Method Detail

#### makeWithoutStats

    public static SerializationHeader makeWithoutStats(CFMetaData metadata)

#### make

    public static SerializationHeader make(CFMetaData metadata,
                                           java.util.Collection<SSTableReader> sstables)

#### columns

    public PartitionColumns columns()

#### hasStatic

    public boolean hasStatic()

#### isForSSTable

    public boolean isForSSTable()

#### stats

    public EncodingStats stats()

#### keyType

    public AbstractType<?> keyType()

#### clusteringTypes

    public java.util.List<AbstractType<?>> clusteringTypes()

#### columns

    public Columns columns(boolean isStatic)

#### getType

    public AbstractType<?> getType(ColumnDefinition column)

#### writeTimestamp

    public void writeTimestamp(long timestamp,
                               DataOutputPlus out)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeLocalDeletionTime

    public void writeLocalDeletionTime(int localDeletionTime,
                                       DataOutputPlus out)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeTTL

    public void writeTTL(int ttl,
                         DataOutputPlus out)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeDeletionTime

    public void writeDeletionTime(DeletionTime dt,
                                  DataOutputPlus out)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### readTimestamp

    public long readTimestamp(DataInputPlus in)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### readLocalDeletionTime

    public int readLocalDeletionTime(DataInputPlus in)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### readTTL

    public int readTTL(DataInputPlus in)
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### readDeletionTime

    public DeletionTime readDeletionTime(DataInputPlus in)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### timestampSerializedSize

    public long timestampSerializedSize(long timestamp)

#### localDeletionTimeSerializedSize

    public long localDeletionTimeSerializedSize(int localDeletionTime)

#### ttlSerializedSize

    public long ttlSerializedSize(int ttl)

#### deletionTimeSerializedSize

    public long deletionTimeSerializedSize(DeletionTime dt)

#### skipTimestamp

    public void skipTimestamp(DataInputPlus in)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### skipLocalDeletionTime

    public void skipLocalDeletionTime(DataInputPlus in)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### skipTTL

    public void skipTTL(DataInputPlus in)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### skipDeletionTime

    public void skipDeletionTime(DataInputPlus in)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### toComponent

    public SerializationHeader.Component toComponent()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`